TextCritical.net - Task #573

Feature # 552 (Closed): Provide English translations of Greek works
Task # 555 (Closed): Configure import policy

Import works of Homer

03/14/2013 05:02 AM - Luke Murphey

Status: Closed Start date: 03/14/2013
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.7

Description

Associated revisions

Revision 427 - 03/18/2013 04:50 AM - Luke Murphey

The importer no longer fails when divisions do not have descriptors that indicate line numbers. This change was necessary in order to import the
works of Homer. Reference #573.

Revision 427 - 03/18/2013 04:50 AM - Luke Murphey

The importer no longer fails when divisions do not have descriptors that indicate line numbers. This change was necessary in order to import the
works of Homer. Reference #573.

Revision 417 - 03/18/2013 04:50 AM - Luke Murphey

The importer no longer fails when divisions do not have descriptors that indicate line numbers. This change was necessary in order to import the
works of Homer. Reference #573.

Revision 434 - 03/23/2013 08:00 AM - Luke Murphey

The importer now properly assigns the line numbers for divisions that are in a new section that resets line numbers to start one (indicating that the line
numbers start over). Closes #573.

Revision 434 - 03/23/2013 08:00 AM - Luke Murphey

The importer now properly assigns the line numbers for divisions that are in a new section that resets line numbers to start one (indicating that the line
numbers start over). Closes #573.

Revision 424 - 03/23/2013 08:00 AM - Luke Murphey

The importer now properly assigns the line numbers for divisions that are in a new section that resets line numbers to start one (indicating that the line
numbers start over). Closes #573.

History

#1 - 03/17/2013 07:11 PM - Luke Murphey

- Status changed from New to In Progress

Need to use line numbers, The lliad contains beta-code of Greek words but these cannot be looked up. The Odyssey contains empty division
descriptors (see paginator).
#2 - 03/18/2013 06:17 AM - Luke Murphey
Got some more problems:
e lliad (Murray), Odyssey (Murray), lliad (Butler): is taking division markers as line numbers

e lliad (Butler): scroll is not associated with the chapter
¢ Odyssey (Butler): the pagination is broken and the divisions are not present

#3 - 03/18/2013 03:52 PM - Luke Murphey

Relevant links on Perseus:

e Odyssey: http://www.perseus.tufts.edu/hopper/text?doc=Perseus%3atext%3a1999.01.0136
e |lliad (Butler): http://www.perseus.tufts.edu/hopper/text?doc=Perseus%3atext%3a1999.01.0217

e QOdyssey (Butler): http://www.perseus.tufts.edu/hopper/text?doc=Perseus%3atext%3a1999.01.0218
o |lliad: http://www.perseus.tufts.edu/hopper/text?doc=Perseus%3atext%3a1999.01.0134

#4 - 03/19/2013 04:08 AM - Luke Murphey

I need to only set the division titles to the line number description if the division contains actual verses.

#5 - 03/19/2013 11:54 PM - Luke Murphey

| could set the line number as | make the verses from the divisions. The problem is that the code for updating the line number is currently handled by
the import context which is not currently used when iterating and making the verses.

#6 - 03/20/2013 03:28 AM - Luke Murphey

close_division sets the division titles to the line numbers
use_line_numbers_for_division_titles determines if line numbers ought to be used
get_line_count gets the line numbers from an XML node
get_line_count_recursive called by get_line_count to get a line count

#7 - 03/20/2013 05:35 AM - Luke Murphey

The problem isn't what | thought it was. The problem is that at least some of these works (Butler's Odyssey for example) do no include a card node
under the main div (e.g. "Scroll 1"). To the importer, this looks like the first set of lines.

#8 - 03/20/2013 03:35 PM - Luke Murphey
- % Done changed from 0 to 80

The works now import correctly using a new method of assigning division labels with the exception of The llliad which fails to label the major divisions
correctly.

#9 - 03/21/2013 04:39 AM - Luke Murphey

We could create a new card division that is required before a line milestone. | could also restart the line number whenever a new division is observed.

#10 - 03/22/2013 03:19 AM - Luke Murphey

The importer needs to reset the line counts once a line number of one is observed following a new division.

#11 - 03/22/2013 04:28 PM - Luke Murphey
The llliad is almost done. Only things left to do is:

e Fix issue where selecting a major division ("Scroll") does not update the jump reference
e Get the divisions to get parents of the cards sections

#12 - 03/22/2013 10:27 PM - Luke Murphey

All are importing with the correct division levels with the exception of Butler's Odyssey. It shows breaks by number, however, clicking next sends you
to a division that doesn't exist. Plus, there appears to be hidden divisions containing line numbers. Go to "20.184" to see one.

#13 - 03/22/2013 10:36 PM - Luke Murphey

The problem is that the major divisions have content in Butler's Odyssey.

#14 - 03/22/2013 10:44 PM - Luke Murphey

A bunch of the notes are simply set to "1" in the English version of Odyssey.

#15 - 03/22/2013 10:45 PM - Luke Murphey

Book 1 lines 178-229 of Odyssey seem to correspond to Scroll 1 lines 1-96 in Butler's version.

#16 - 03/22/2013 10:49 PM - Luke Murphey

The content in the lines in Butler's works that are not visible are not available on Perseus either:
http://www.perseus.tufts.edu/hopper/text?doc=Hom.+0d.+1.1&fromdoc=Perseus%3Atext%3A1999.01.0218

#17 - 03/23/2013 02:53 AM - Luke Murphey

Butler's Odyssey is missing the first card element. Note that import starts importing at the first card element (the last node in the snippet below):

{code}

<body>

<div1 type="Book" n="1">
<head>Scroll 1</head>

<p><milestone n="1" unit="line"/>Tell

me, O Muse, of that many-sided hero who traveled far and wide after

he had sacked the famous town of <placeName key="tgn,7002329">Troy</placeName>. Many cities did he visit, and
many were the people with whose customs and thinking

[<term lang="xgreek">noos</term>] he was acquainted; many things he suffered at
sea while seeking to save his own life [<term lang="xgreek">psukhé</term>]

and to achieve the safe homecoming [<term lang="xgreek">nostos</term>] of his
companions; but do what he might he could not save his men, for they

perished through their own sheer recklessness in eating the cattle of

the Sun-god Helios; so the god prevented them from ever reaching

home. Tell me, as you have told those who came before me, about all

these things, O daughter of Zeus, starting from whatsoever point you

choose.</p>

<p><milestone n="11" unit="line"/>So now all who escaped death in

battle or by shipwreck had got safely home except Odysseus, and he,

though he was longing for his return [<term lang="xgreek">nostos</term>] to his
wife and country, was detained by the goddess Calypso, who had got

him into a large cave and wanted to marry him. But as years went by,

there came a time when the gods settled that he should go back to

<placeName key="tgn,1007519">Ithaca</placeName>; even then, however, when he was among his own people, his
trials [<term lang="xgreek">athloi</term>] were not yet over; nevertheless all
the gods had now begun to pity him except Poseidon, who still

persecuted him without ceasing and would not let him get

home.</p>

<p><milestone n="22" unit="line"/>Now Poseidon had gone off to the
Ethiopians, who are at the world's end, and lie in two halves,

the one looking West and the other East. He had gone there to accept
a hecatomb of sheep and oxen, and was enjoying himself at his
festival; but the other gods met in the house of Olympian Zeus, and
the sire of gods and men spoke first. At that moment he was thinking
of Aigisthos, who had been killed by Agamemnon's son Orestes; so
he said to the other gods:</p>

<p><milestone n="32" unit="line"/>"See now, how men consider us gods
responsible [<term lang="xgreek">aitioi</term>] for what is after all nothing but
their own folly. Look at Aigisthos; he must needs make love to

Agamemnon's wife unrighteously and then kill Agamemnon, though

he knew it would be the death of him; for | sent Hermes to warn him

not to do either of these things, inasmuch as Orestes would be sure

to take his revenge when he grew up and wanted to return home. Hermes

told him this in all good will but he would not listen, and now he

has paid for everything in full."</p>

<milestone ed="p" unit="card"/> {code}

| need to have the ability to infer a card node at the first milestone if one does not exist.

#18 - 03/23/2013 08:00 AM - Luke Murphey
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Applied in changeset r434.
